Technical requirements for Skills Navigator

Document created by Community User on Jul 28, 2016Last modified by Community User on Jun 6, 2017
Version 3Show Document
  • View in full screen mode
Introduction
In general, MAP Skills is supported on Windows 7 or higher, Mac OS X 10.8 or higher, iOS 8 or higher, or Chrome OS 41 or higher.

Information
The full technical requirements for MAP Skills can be found in the MAP Help Center here: Setup and Requirements.

Article Number
2861

Attachments

    Outcomes